This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 53335 - pump-0.8.11-1 (DHCP client) does not set the system's NIS domain
pump-0.8.11-1 (DHCP client) does not set the system's NIS domain
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-06 16:45 EDT by ross tyler
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 11:00:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ross tyler 2001-09-06 16:45:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
the man page says:

Normally pump  sets  the  system's NIS  domain  if  an NIS domain is
specified by the dhcp server and the current NIS domain  is  empty  or 
localdomain.

i have configured my dhcp server (redhat linux 7.1 dhcpd-2.0pl5-4) to
provide values for the nis-domain and nis-servers options.
by configuring syslog to log *.debug messages and running pump,
i see these options (40 and 41) supplied in the DHCPOFFER (but not in the
DHCPACK) and pump does not report a "intf: nisDomain: %s" change.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure interface as dhcp client
2. (un)configure setting of NISDOMAIN (domainname)
3. configure dhcp server to supply values for nis-domain and nis-servers
options.
4. configure dhcp client's syslog to capture *.debug messages to a file.
5. reboot dhcp client.
6. run domainname command.
7. inspect debug output from pump in the syslog file.
	

Actual Results:  6. (none).
7. see description

Expected Results:  6. <the value of the nis-domain option>


Additional info:
Comment 1 Eido Inoue 2004-01-05 11:00:14 EST
closing as supported products don't use pump anymore

Note You need to log in before you can comment on or make changes to this bug.